
# Kitchen Sink related properties
[kitchenSink]
	# The storage capacity of the fluid tank contained in this block. If you're using Forge,
	# 1000 units represents the capacity of a bucket, while it's 81000 on Fabric. So if you
	# want 3 buckets worth of storage, it will be 3000 (Forge) or 243000 (Fabric)
	# Valid range: 1 to 9223372036854775807 (inclusive)
	fluidCapacity = 3000
	# If enabled, when interacting with this block it will dispense free water into
	# it's fluid tank, assuming the tank is empty or contains water but has not reached it's
	# capacity.
	# Valid values: true, false
	dispenseWater = true

# Toilet related properties
[toilet]
	# The storage capacity of the fluid tank contained in this block. If you're using Forge,
	# 1000 units represents the capacity of a bucket, while it's 81000 on Fabric. So if you
	# want 3 buckets worth of storage, it will be 3000 (Forge) or 243000 (Fabric)
	# Valid range: 1 to 9223372036854775807 (inclusive)
	fluidCapacity = 1000
	# If enabled, when interacting with this block it will dispense free water into
	# it's fluid tank, assuming the tank is empty or contains water but has not reached it's
	# capacity.
	# Valid values: true, false
	dispenseWater = true

# Trampoline related properties
[trampoline]
	# The maximum height that can be achieved from bouncing on the trampoline. The maximum
	# height is affected the shape of the trampoline, the center trampoline in a 3x3 will
	# be able to reach the maximum bounce height, while a single trampoline will only reach
	# half.
	# Valid range: 0 to 64 (inclusive)
	maxBounceHeight = 8.0

# Bath related properties
[bath]
	# If enabled, when interacting with this block it will dispense free water into
	# it's fluid tank, assuming the tank is empty or contains water but has not reached it's
	# capacity.
	# Valid values: true, false
	dispenseWater = true
	# The storage capacity of the fluid tank contained in this block. If you're using Forge,
	# 1000 units represents the capacity of a bucket, while it's 81000 on Fabric. So if you
	# want 3 buckets worth of storage, it will be 3000 (Forge) or 243000 (Fabric)
	# Valid range: 1 to 9223372036854775807 (inclusive)
	fluidCapacity = 10000

# Electricity related properties
[electricity]
	# The maximum amount of links that can be connected to an Electricity Generator.
	# Valid range: 1 to 64 (inclusive)
	maximumLinksPerElectricityGenerator = 12
	# The maximum amount of nodes in a network that can be powered by an electricity
	# source, like the electricity generator.
	# Valid range: 1 to 512 (inclusive)
	maximumNodesInNetwork = 64
	# The maximum amount of links that can be connected to a single electricity node.
	# Valid range: 1 to 64 (inclusive)
	maximumLinksPerElectricityNode = 6
	# The maximum area radius determines the size of the area which electricity nodes must
	# be inside of to be powered by a source node (like the Electricity Generator). The
	# radius is represented as blocks. The center of the area is the source node providing
	# the power, and area radius expands in each cardinal direction, including up and down.
	# For example, if we have an area radius of 16 blocks, a source node can provide power
	# to other electricity nodes from (x-16,y-16,z-16) to (x+16,y+16,z+16) with x,y,z being
	# the block position of the source. Electricity nodes still must be connected with
	# links to be powered, this config value just determines the acceptable area.
	# Valid range: 1 to 256 (inclusive)
	powerableAreaRadius = 80
	# The amount of power that is generated by the electricity generator per fuel tick.
	# For example, coal has 1600 ticks of fuel, and at a ratio of 4, it would produce
	# 6400 units of power. The default value of 8 means that the electricity generator
	# would consume almost 2 coal per in-game day.
	# Valid range: 1 to 128 (inclusive)
	fuelToPowerRatio = 16

	# Cheats for electricity. Free power, etc.
	[electricity.cheats]
		# Electricity Generators will now output free power, and stay on forever.
		# Valid values: true, false
		freeGeneratorPower = false
		# Makes all blocks that require electricity always be powered without them being
		# connected to an Electricity Generator. Warning, some blocks may no longer work as
		# expected. Use at your own risk of a downgraded experience.
		# Valid values: true, false
		everythingIsPowered = false

# Basin related properties
[basin]
	# The storage capacity of the fluid tank contained in this block. If you're using Forge,
	# 1000 units represents the capacity of a bucket, while it's 81000 on Fabric. So if you
	# want 3 buckets worth of storage, it will be 3000 (Forge) or 243000 (Fabric)
	# Valid range: 1 to 9223372036854775807 (inclusive)
	fluidCapacity = 1000
	# If enabled, when interacting with this block it will dispense free water into
	# it's fluid tank, assuming the tank is empty or contains water but has not reached it's
	# capacity.
	# Valid values: true, false
	dispenseWater = true

# Recycle Bin related properties
[recycleBin]
	# The maximum amount of experience levels that the recycling bin can hold. Recycling stops once it reaches that level.
	# Valid range: 1 to 100 (inclusive)
	maximumExperienceLevels = 5
	# The amount of experience to add when recycling an item.
	# Valid range: 0 to 179769313486231570000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000 (inclusive)
	experiencePerItem = 0.05
	# The amount of time in ticks that it takes to perform one cycle of recycling
	# Valid range: 1 to 2147483647 (inclusive)
	processingTime = 10

# Mailing related properties
[mailing]
	# A list of dimensions you are allowed to place mailboxes. An empty list means that
	# mailboxes can be placed in any dimension.
	# An example of how the list is defined:
	# allowedDimensions = [
	#     "minecraft:overworld",
	#     "minecraft:the_nether",
	#     ...
	# ]
	# ^ Note: This is just an example. Write your list below.
	allowedDimensions = []
	# The maximum amount of mailboxes a player is allowed to register/own.
	# Valid range: 1 to 2147483647 (inclusive)
	maxMailboxesPerPlayer = 16
	# The maximum amount of items that can be queued for delivery to a mailbox. Items become
	# queued when the receiving mailbox's inventory is full. This is to prevent infinite storage.
	# Valid range: 0 to 256 (inclusive)
	deliveryQueueSize = 32
	# Prevents items contained in this list from being sent through a Post Box.
	# An example of how the list is defined:
	# bannedItems = [
	#     "minecraft:water_bucket",
	#     "minecraft:diamond",
	#     "refurbished_furniture:mailbox"
	#     ...
	# ]
	# ^ Note: This is just an example. Write your list below.
	bannedItems = []
	# The amount of inventory rows in a mailbox. If you change this value from a larger to
	# a smaller value, items contained in the removed rows will be deleted. Use caution
	# when changing this value to avoid inconvenience and backup your saves.
	# Valid range: 1 to 6 (inclusive)
	mailboxInventoryRows = 1
	# If enabled, this will ban items with an inventory (like a Shulker Box) being sent through
	# a Post Box. This prevents players from creating massive NBT on a single item, which can
	# cause issues for your server/world save.
	# Valid values: true, false
	banSendingItemsWithInventories = true

# Recipe related properties
[recipes]
	# If enabled, the Frying Pan and Grill will inherit all the cooking recipes from the
	# vanilla Campfire.
	# Valid values: true, false
	inheritCampfireRecipes = true

# Television related properties
[television]
	# If enabled, when the weather is thunder, the television will strangely loose signal.
	# There should be no reason this should happen, none at all. It might be a good idea
	# to turn your television off until it clears up.
	# Valid values: true, false
	looseSignalDuringThunderstorm = true

